#!/bin/sh
#
# @(#)stdalone_config.sh 4.8 91/11/09 SMI; BSM Module
#

set -x

USE_SECURE_RPC=""
ARM_POLICY=""
install_dir="$1/arm"
BRAND=${install_dir}/arm_brand

echo_tty () {
	echo $@ > /dev/tty
}

############################################
# Functions for asking yes or no questions #
############################################
# $1 is a response that causes us to return 0
# $2, $3, ... is the question to ask
yes_or_no(){
    GUDANZER="$1"; shift
    question=
    while [ $# -ge 1 ]
    do
        question="$question
$1"
        shift
    done
    Answer=""
    while [ "$Answer" = "" ]
    do
        echo_tty -n "$question [y|n] "
        read Answer
        case "$Answer" in
        "$GUDANZER"*)   return 0;;
        [yn]*)          return 1;;
        *)              echo_tty
                        echo_tty "Enter \"y\" or \"n\""
                        Answer="";;
        esac
    done
}
says_yes(){
    yes_or_no y "$@"
}
says_no(){
    yes_or_no n "$@"
}
 
#####################################################

echo_tty 
echo_tty "NOTE: Secure RPC has been disabled"
echo_tty 

#
# remove secure options for arm daemons
#
cp /etc/rc.local /etc/rc.local.bak
sed -e "s/rpc.armtod -s/rpc.armtod/" \
    -e "s/rpc.arm_psd -s/rpc.arm_psd/" \
    -e "s/rcp.armd -s/rpc.armd/" < /etc/rc.local > /tmp/$$.rc.local.ARM
mv /tmp/$$.rc.local.ARM /etc/rc.local

########################
# Configure ARM policy #
########################
if says_yes "Is this going to be an ARM policy server?"
then
        ARM_PS_SERVER="`hostname`"
else
        echo_tty
        echo_tty "Configuring as an ARM policy client."
        echo_tty
        echo_tty -n "Enter the name of the ARM policy server: (${ARM_CLIENT_OF}) "
        read ARM_PS_SERVER
        if [ "${ARM_PS_SERVER}" = "" ]; then
                ARM_PS_SERVER=$ARM_CLIENT_OF
        fi
fi

echo_tty
echo_tty -n "Enter the directory where the ARM policy files will live (/etc): "
read ARM_POLICY
if [ "${ARM_POLICY}" = "" ]; then
        ARM_POLICY=/etc
fi
while [ ! -d ${ARM_POLICY} ]
do
        echo_tty
        echo_tty "${ARM_POLICY} does not exist."
        echo_tty -n "Enter the directory where the ARM policy files will live: "
	read ARM_POLICY
done

echo_tty -n "Please specify where ARM was installed (/usr by default): "
read DESTDIR
if [ "${DESTDIR}" = "" ]; then
        DESTDIR=/usr
fi

#
# Brand the libraries and init
#
if [ "${ARM_PS_SERVER}" != "`hostname`" ]; then
        ARM_POLICY=""
fi
${BRAND} "${USE_SECURE_RPC}" "${ARM_PS_SERVER}" "${ARM_POLICY}" "${DESTDIR}"       
